package io.zipcoder.interfaces;

public class ZipCodeWilmington {
    private static final Students students = Students.getInstance();
    private static final Instructors instructors = Instructors.getInstance();
    private static final ZipCodeWilmington INSTANCE = new ZipCodeWilmington();

    public static ZipCodeWilmington getInstance() {
        return INSTANCE;
    }

    private ZipCodeWilmington() {
    }

    public void hostLecture(Teacher teacher, double numberOfHours) {
        Student[] students1 = students.getArray();
        teacher.Lecture(students1,numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours) {
        Student[] students1 = students.getArray();
        for (int i = 0; i < instructors.getCount(); i++) {
            if (instructors.personList.get(i).getId()==id) {
                instructors.personList.get(i).Lecture(students1,numberOfHours);
            }
        }

    }

    public static Students getStudents() {
        return students;
    }

    public static Instructors getInstructors() {
        return instructors;
    }


}
