package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {
    @Test
    public void testImplementation(){
        //Given
        Student student = new Student();

        Assert.assertTrue(student instanceof Learner);

    }

    @Test
    public void testInheritance(){
        //Given
        Person student = new Person(24);

        Assert.assertTrue(student instanceof Person);

    }

    @Test
    public void testLearn(){
        //Given
        double numberOfHours = 500;
        Student student = new Student();

        //When
        student.learn(numberOfHours);
        double actual = student.getTotalStudyTime();
        double expected = 500;

        //Then
        Assert.assertEquals(expected, actual, 0);

    }


}
