package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class ZipCodeWilmingtonTest {


    @Test
    public void hostLecture() {
        ZipCodeWilmington zipCode = ZipCodeWilmington.getInstance();
        Instructor instructor = zipCode.getInstructors().getArray()[0];
        zipCode.hostLecture(instructor,39);
        double expected =2;
        double actual = zipCode.getStudents().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected,actual,.1);
    }

    @Test
    public void hostLectureById() {
        ZipCodeWilmington zipCode = ZipCodeWilmington.getInstance();
        Instructor instructor = zipCode.getInstructors().getArray()[0];
        zipCode.hostLecture(instructor.getId(),39);
        double expected =1;
        double actual = zipCode.getStudents().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected,actual,.1);
    }
}